Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80195 - gmpxx* files missing in gmp packages install.
Summary: gmpxx* files missing in gmp packages install.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gmp
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-22 01:39 UTC by Christian P. MOMON
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-10-02 06:21:44 UTC


Attachments (Terms of Use)

Description Christian P. MOMON 2002-12-22 01:39:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
I can't find "gmpxx.h" and "libgmpxx.*" in directories or gmp packages.

My configuration:
RH7.3: gmp-4.0.1-3 and gmp-devel-4.0.1-3
RH8.0: (rpm broken 8-<)

So it is not possible to use GNU MP with C++.

I'd like work with the GNU MP C++ interface described in documentation:

http://www.gnu.org/manual/gmp-4.1/html_mono/gmp.html#C++%20Class%20Interface

What do you think about add some more files in the package install ?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. take a complete install redhat
2. type rpm -ql gpm gpm-devel
3. see that there is no gpmxx files
    

Additional info:

Comment 1 Christian P. MOMON 2002-12-22 12:30:54 UTC
I repaired rpm database on my RH8 (temp files broken) and version of gmp are:
gmp-devel-4.1-4
gmp-4.1-4

[root@ocmland rpm]# rpm -ql gmp gmp-devel
/usr/lib/libgmp.so.3
/usr/lib/libgmp.so.3.3.0
/usr/lib/libmp.so.3
/usr/lib/libmp.so.3.1.4
/usr/share/doc/gmp-4.1
/usr/share/doc/gmp-4.1/COPYING
/usr/share/doc/gmp-4.1/NEWS
/usr/share/doc/gmp-4.1/README
/usr/include/gmp-mparam.h
/usr/include/gmp.h
/usr/include/mp.h
/usr/lib/libgmp.a
/usr/lib/libgmp.so
/usr/lib/libmp.a
/usr/lib/libmp.so
/usr/share/info/gmp.info-1.gz
/usr/share/info/gmp.info-2.gz
/usr/share/info/gmp.info-3.gz
/usr/share/info/gmp.info-4.gz
/usr/share/info/gmp.info-5.gz
/usr/share/info/gmp.info-6.gz
/usr/share/info/gmp.info-7.gz
/usr/share/info/gmp.info-8.gz
/usr/share/info/gmp.info.gz

Comment 2 Christian P. MOMON 2003-01-03 15:41:50 UTC
Hi,

There is a new release of GMP.

It seems the previous release did not install correctly the libgmpxx.
The new release do it very fine.
C++ interface is available with the --enable-cxx parameter in ./configure.

Regards,

Cpm.

Comment 3 Florian La Roche 2003-10-02 06:21:44 UTC
I have enabled this with the newest rpm release -7. Should be in rawhide within
the next days.

Thanks for this bug-report,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.